ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

Upgrading Tomcat and compatibility

book

Article ID: 241210

calendar_today

Updated On:

Products

CA Automic Workload Automation - Automation Engine CA Automic One Automation

Issue/Introduction

Sometimes it is required to upgrade tomcat for things like vulnerabilities.  Is upgrading minor versions of tomcat okay when the Automic compatibility matrix just shows major versions like

  • Apache Tomcat 8 
  • Apache Tomcat 8.5 (> 8.5.40) 
  • Apache Tomcat 9 

For example, if 9.0.35 is currently being used, is it okay to upgrade to 9.0.54?

Environment

Release : All

Component : AWI

Resolution

In general, it does not matter what the minor patch version of a 3rd party component is unless specific patch versions are mentioned.  In this case, upgrading to tomcat 9.0.54 should be fine as it is a minor patch version of the Apache Tomcat.  Our recommendation as always is to upgrade in a non-production system first before upgrading production.